Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network89.76.2.0/23
Usable hosts510
Subnet mask255.255.254.0
Addresses512
Network address
89.76.2.0
Broadcast address
89.76.3.255
First usable
89.76.2.1
Last usable
89.76.3.254
Usable hosts
510 (512 less the network and broadcast addresses)
Subnet mask
255.255.254.0
Wildcard mask
0.0.1.255 (Cisco ACLs, OSPF)
Prefix length
/23
Type
Public public
Old class
A (default /8)
As numbers
Hex 594C0200 · Integer 1498153472 to 1498153983
Reverse DNS zones
2.76.89.in-addr.arpa
3.76.89.in-addr.arpa
/23 is not on a 8-bit boundary, so it takes 2 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011001.01001100.00000010.0000000089.76.2.0
Subnet mask11111111.11111111.11111110.00000000255.255.254.0
Network01011001.01001100.00000010.0000000089.76.2.0
Broadcast01011001.01001100.00000011.1111111189.76.3.255
Split into smaller subnets/32

89.76.2.0/23 makes 512 subnets of /32; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
189.76.2.0/3289.76.2.0 to 89.76.2.0—1
289.76.2.1/3289.76.2.1 to 89.76.2.1—1
389.76.2.2/3289.76.2.2 to 89.76.2.2—1
489.76.2.3/3289.76.2.3 to 89.76.2.3—1
589.76.2.4/3289.76.2.4 to 89.76.2.4—1
689.76.2.5/3289.76.2.5 to 89.76.2.5—1
789.76.2.6/3289.76.2.6 to 89.76.2.6—1
889.76.2.7/3289.76.2.7 to 89.76.2.7—1
989.76.2.8/3289.76.2.8 to 89.76.2.8—1
1089.76.2.9/3289.76.2.9 to 89.76.2.9—1
1189.76.2.10/3289.76.2.10 to 89.76.2.10—1
1289.76.2.11/3289.76.2.11 to 89.76.2.11—1
1389.76.2.12/3289.76.2.12 to 89.76.2.12—1
1489.76.2.13/3289.76.2.13 to 89.76.2.13—1
1589.76.2.14/3289.76.2.14 to 89.76.2.14—1
1689.76.2.15/3289.76.2.15 to 89.76.2.15—1
1789.76.2.16/3289.76.2.16 to 89.76.2.16—1
1889.76.2.17/3289.76.2.17 to 89.76.2.17—1
1989.76.2.18/3289.76.2.18 to 89.76.2.18—1
2089.76.2.19/3289.76.2.19 to 89.76.2.19—1
2189.76.2.20/3289.76.2.20 to 89.76.2.20—1
2289.76.2.21/3289.76.2.21 to 89.76.2.21—1
2389.76.2.22/3289.76.2.22 to 89.76.2.22—1
2489.76.2.23/3289.76.2.23 to 89.76.2.23—1
2589.76.2.24/3289.76.2.24 to 89.76.2.24—1
2689.76.2.25/3289.76.2.25 to 89.76.2.25—1
2789.76.2.26/3289.76.2.26 to 89.76.2.26—1
2889.76.2.27/3289.76.2.27 to 89.76.2.27—1
2989.76.2.28/3289.76.2.28 to 89.76.2.28—1
3089.76.2.29/3289.76.2.29 to 89.76.2.29—1
3189.76.2.30/3289.76.2.30 to 89.76.2.30—1
3289.76.2.31/3289.76.2.31 to 89.76.2.31—1
3389.76.2.32/3289.76.2.32 to 89.76.2.32—1
3489.76.2.33/3289.76.2.33 to 89.76.2.33—1
3589.76.2.34/3289.76.2.34 to 89.76.2.34—1
3689.76.2.35/3289.76.2.35 to 89.76.2.35—1
3789.76.2.36/3289.76.2.36 to 89.76.2.36—1
3889.76.2.37/3289.76.2.37 to 89.76.2.37—1
3989.76.2.38/3289.76.2.38 to 89.76.2.38—1
4089.76.2.39/3289.76.2.39 to 89.76.2.39—1
4189.76.2.40/3289.76.2.40 to 89.76.2.40—1
4289.76.2.41/3289.76.2.41 to 89.76.2.41—1
4389.76.2.42/3289.76.2.42 to 89.76.2.42—1
4489.76.2.43/3289.76.2.43 to 89.76.2.43—1
4589.76.2.44/3289.76.2.44 to 89.76.2.44—1
4689.76.2.45/3289.76.2.45 to 89.76.2.45—1
4789.76.2.46/3289.76.2.46 to 89.76.2.46—1
4889.76.2.47/3289.76.2.47 to 89.76.2.47—1
4989.76.2.48/3289.76.2.48 to 89.76.2.48—1
5089.76.2.49/3289.76.2.49 to 89.76.2.49—1
5189.76.2.50/3289.76.2.50 to 89.76.2.50—1
5289.76.2.51/3289.76.2.51 to 89.76.2.51—1
5389.76.2.52/3289.76.2.52 to 89.76.2.52—1
5489.76.2.53/3289.76.2.53 to 89.76.2.53—1
5589.76.2.54/3289.76.2.54 to 89.76.2.54—1
5689.76.2.55/3289.76.2.55 to 89.76.2.55—1
5789.76.2.56/3289.76.2.56 to 89.76.2.56—1
5889.76.2.57/3289.76.2.57 to 89.76.2.57—1
5989.76.2.58/3289.76.2.58 to 89.76.2.58—1
6089.76.2.59/3289.76.2.59 to 89.76.2.59—1
6189.76.2.60/3289.76.2.60 to 89.76.2.60—1
6289.76.2.61/3289.76.2.61 to 89.76.2.61—1
6389.76.2.62/3289.76.2.62 to 89.76.2.62—1
6489.76.2.63/3289.76.2.63 to 89.76.2.63—1
6589.76.2.64/3289.76.2.64 to 89.76.2.64—1
6689.76.2.65/3289.76.2.65 to 89.76.2.65—1
6789.76.2.66/3289.76.2.66 to 89.76.2.66—1
6889.76.2.67/3289.76.2.67 to 89.76.2.67—1
6989.76.2.68/3289.76.2.68 to 89.76.2.68—1
7089.76.2.69/3289.76.2.69 to 89.76.2.69—1
7189.76.2.70/3289.76.2.70 to 89.76.2.70—1
7289.76.2.71/3289.76.2.71 to 89.76.2.71—1
7389.76.2.72/3289.76.2.72 to 89.76.2.72—1
7489.76.2.73/3289.76.2.73 to 89.76.2.73—1
7589.76.2.74/3289.76.2.74 to 89.76.2.74—1
7689.76.2.75/3289.76.2.75 to 89.76.2.75—1
7789.76.2.76/3289.76.2.76 to 89.76.2.76—1
7889.76.2.77/3289.76.2.77 to 89.76.2.77—1
7989.76.2.78/3289.76.2.78 to 89.76.2.78—1
8089.76.2.79/3289.76.2.79 to 89.76.2.79—1
8189.76.2.80/3289.76.2.80 to 89.76.2.80—1
8289.76.2.81/3289.76.2.81 to 89.76.2.81—1
8389.76.2.82/3289.76.2.82 to 89.76.2.82—1
8489.76.2.83/3289.76.2.83 to 89.76.2.83—1
8589.76.2.84/3289.76.2.84 to 89.76.2.84—1
8689.76.2.85/3289.76.2.85 to 89.76.2.85—1
8789.76.2.86/3289.76.2.86 to 89.76.2.86—1
8889.76.2.87/3289.76.2.87 to 89.76.2.87—1
8989.76.2.88/3289.76.2.88 to 89.76.2.88—1
9089.76.2.89/3289.76.2.89 to 89.76.2.89—1
9189.76.2.90/3289.76.2.90 to 89.76.2.90—1
9289.76.2.91/3289.76.2.91 to 89.76.2.91—1
9389.76.2.92/3289.76.2.92 to 89.76.2.92—1
9489.76.2.93/3289.76.2.93 to 89.76.2.93—1
9589.76.2.94/3289.76.2.94 to 89.76.2.94—1
9689.76.2.95/3289.76.2.95 to 89.76.2.95—1
9789.76.2.96/3289.76.2.96 to 89.76.2.96—1
9889.76.2.97/3289.76.2.97 to 89.76.2.97—1
9989.76.2.98/3289.76.2.98 to 89.76.2.98—1
10089.76.2.99/3289.76.2.99 to 89.76.2.99—1
10189.76.2.100/3289.76.2.100 to 89.76.2.100—1
10289.76.2.101/3289.76.2.101 to 89.76.2.101—1
10389.76.2.102/3289.76.2.102 to 89.76.2.102—1
10489.76.2.103/3289.76.2.103 to 89.76.2.103—1
10589.76.2.104/3289.76.2.104 to 89.76.2.104—1
10689.76.2.105/3289.76.2.105 to 89.76.2.105—1
10789.76.2.106/3289.76.2.106 to 89.76.2.106—1
10889.76.2.107/3289.76.2.107 to 89.76.2.107—1
10989.76.2.108/3289.76.2.108 to 89.76.2.108—1
11089.76.2.109/3289.76.2.109 to 89.76.2.109—1
11189.76.2.110/3289.76.2.110 to 89.76.2.110—1
11289.76.2.111/3289.76.2.111 to 89.76.2.111—1
11389.76.2.112/3289.76.2.112 to 89.76.2.112—1
11489.76.2.113/3289.76.2.113 to 89.76.2.113—1
11589.76.2.114/3289.76.2.114 to 89.76.2.114—1
11689.76.2.115/3289.76.2.115 to 89.76.2.115—1
11789.76.2.116/3289.76.2.116 to 89.76.2.116—1
11889.76.2.117/3289.76.2.117 to 89.76.2.117—1
11989.76.2.118/3289.76.2.118 to 89.76.2.118—1
12089.76.2.119/3289.76.2.119 to 89.76.2.119—1
12189.76.2.120/3289.76.2.120 to 89.76.2.120—1
12289.76.2.121/3289.76.2.121 to 89.76.2.121—1
12389.76.2.122/3289.76.2.122 to 89.76.2.122—1
12489.76.2.123/3289.76.2.123 to 89.76.2.123—1
12589.76.2.124/3289.76.2.124 to 89.76.2.124—1
12689.76.2.125/3289.76.2.125 to 89.76.2.125—1
12789.76.2.126/3289.76.2.126 to 89.76.2.126—1
12889.76.2.127/3289.76.2.127 to 89.76.2.127—1
12989.76.2.128/3289.76.2.128 to 89.76.2.128—1
13089.76.2.129/3289.76.2.129 to 89.76.2.129—1
13189.76.2.130/3289.76.2.130 to 89.76.2.130—1
13289.76.2.131/3289.76.2.131 to 89.76.2.131—1
13389.76.2.132/3289.76.2.132 to 89.76.2.132—1
13489.76.2.133/3289.76.2.133 to 89.76.2.133—1
13589.76.2.134/3289.76.2.134 to 89.76.2.134—1
13689.76.2.135/3289.76.2.135 to 89.76.2.135—1
13789.76.2.136/3289.76.2.136 to 89.76.2.136—1
13889.76.2.137/3289.76.2.137 to 89.76.2.137—1
13989.76.2.138/3289.76.2.138 to 89.76.2.138—1
14089.76.2.139/3289.76.2.139 to 89.76.2.139—1
14189.76.2.140/3289.76.2.140 to 89.76.2.140—1
14289.76.2.141/3289.76.2.141 to 89.76.2.141—1
14389.76.2.142/3289.76.2.142 to 89.76.2.142—1
14489.76.2.143/3289.76.2.143 to 89.76.2.143—1
14589.76.2.144/3289.76.2.144 to 89.76.2.144—1
14689.76.2.145/3289.76.2.145 to 89.76.2.145—1
14789.76.2.146/3289.76.2.146 to 89.76.2.146—1
14889.76.2.147/3289.76.2.147 to 89.76.2.147—1
14989.76.2.148/3289.76.2.148 to 89.76.2.148—1
15089.76.2.149/3289.76.2.149 to 89.76.2.149—1
15189.76.2.150/3289.76.2.150 to 89.76.2.150—1
15289.76.2.151/3289.76.2.151 to 89.76.2.151—1
15389.76.2.152/3289.76.2.152 to 89.76.2.152—1
15489.76.2.153/3289.76.2.153 to 89.76.2.153—1
15589.76.2.154/3289.76.2.154 to 89.76.2.154—1
15689.76.2.155/3289.76.2.155 to 89.76.2.155—1
15789.76.2.156/3289.76.2.156 to 89.76.2.156—1
15889.76.2.157/3289.76.2.157 to 89.76.2.157—1
15989.76.2.158/3289.76.2.158 to 89.76.2.158—1
16089.76.2.159/3289.76.2.159 to 89.76.2.159—1
16189.76.2.160/3289.76.2.160 to 89.76.2.160—1
16289.76.2.161/3289.76.2.161 to 89.76.2.161—1
16389.76.2.162/3289.76.2.162 to 89.76.2.162—1
16489.76.2.163/3289.76.2.163 to 89.76.2.163—1
16589.76.2.164/3289.76.2.164 to 89.76.2.164—1
16689.76.2.165/3289.76.2.165 to 89.76.2.165—1
16789.76.2.166/3289.76.2.166 to 89.76.2.166—1
16889.76.2.167/3289.76.2.167 to 89.76.2.167—1
16989.76.2.168/3289.76.2.168 to 89.76.2.168—1
17089.76.2.169/3289.76.2.169 to 89.76.2.169—1
17189.76.2.170/3289.76.2.170 to 89.76.2.170—1
17289.76.2.171/3289.76.2.171 to 89.76.2.171—1
17389.76.2.172/3289.76.2.172 to 89.76.2.172—1
17489.76.2.173/3289.76.2.173 to 89.76.2.173—1
17589.76.2.174/3289.76.2.174 to 89.76.2.174—1
17689.76.2.175/3289.76.2.175 to 89.76.2.175—1
17789.76.2.176/3289.76.2.176 to 89.76.2.176—1
17889.76.2.177/3289.76.2.177 to 89.76.2.177—1
17989.76.2.178/3289.76.2.178 to 89.76.2.178—1
18089.76.2.179/3289.76.2.179 to 89.76.2.179—1
18189.76.2.180/3289.76.2.180 to 89.76.2.180—1
18289.76.2.181/3289.76.2.181 to 89.76.2.181—1
18389.76.2.182/3289.76.2.182 to 89.76.2.182—1
18489.76.2.183/3289.76.2.183 to 89.76.2.183—1
18589.76.2.184/3289.76.2.184 to 89.76.2.184—1
18689.76.2.185/3289.76.2.185 to 89.76.2.185—1
18789.76.2.186/3289.76.2.186 to 89.76.2.186—1
18889.76.2.187/3289.76.2.187 to 89.76.2.187—1
18989.76.2.188/3289.76.2.188 to 89.76.2.188—1
19089.76.2.189/3289.76.2.189 to 89.76.2.189—1
19189.76.2.190/3289.76.2.190 to 89.76.2.190—1
19289.76.2.191/3289.76.2.191 to 89.76.2.191—1
19389.76.2.192/3289.76.2.192 to 89.76.2.192—1
19489.76.2.193/3289.76.2.193 to 89.76.2.193—1
19589.76.2.194/3289.76.2.194 to 89.76.2.194—1
19689.76.2.195/3289.76.2.195 to 89.76.2.195—1
19789.76.2.196/3289.76.2.196 to 89.76.2.196—1
19889.76.2.197/3289.76.2.197 to 89.76.2.197—1
19989.76.2.198/3289.76.2.198 to 89.76.2.198—1
20089.76.2.199/3289.76.2.199 to 89.76.2.199—1
20189.76.2.200/3289.76.2.200 to 89.76.2.200—1
20289.76.2.201/3289.76.2.201 to 89.76.2.201—1
20389.76.2.202/3289.76.2.202 to 89.76.2.202—1
20489.76.2.203/3289.76.2.203 to 89.76.2.203—1
20589.76.2.204/3289.76.2.204 to 89.76.2.204—1
20689.76.2.205/3289.76.2.205 to 89.76.2.205—1
20789.76.2.206/3289.76.2.206 to 89.76.2.206—1
20889.76.2.207/3289.76.2.207 to 89.76.2.207—1
20989.76.2.208/3289.76.2.208 to 89.76.2.208—1
21089.76.2.209/3289.76.2.209 to 89.76.2.209—1
21189.76.2.210/3289.76.2.210 to 89.76.2.210—1
21289.76.2.211/3289.76.2.211 to 89.76.2.211—1
21389.76.2.212/3289.76.2.212 to 89.76.2.212—1
21489.76.2.213/3289.76.2.213 to 89.76.2.213—1
21589.76.2.214/3289.76.2.214 to 89.76.2.214—1
21689.76.2.215/3289.76.2.215 to 89.76.2.215—1
21789.76.2.216/3289.76.2.216 to 89.76.2.216—1
21889.76.2.217/3289.76.2.217 to 89.76.2.217—1
21989.76.2.218/3289.76.2.218 to 89.76.2.218—1
22089.76.2.219/3289.76.2.219 to 89.76.2.219—1
22189.76.2.220/3289.76.2.220 to 89.76.2.220—1
22289.76.2.221/3289.76.2.221 to 89.76.2.221—1
22389.76.2.222/3289.76.2.222 to 89.76.2.222—1
22489.76.2.223/3289.76.2.223 to 89.76.2.223—1
22589.76.2.224/3289.76.2.224 to 89.76.2.224—1
22689.76.2.225/3289.76.2.225 to 89.76.2.225—1
22789.76.2.226/3289.76.2.226 to 89.76.2.226—1
22889.76.2.227/3289.76.2.227 to 89.76.2.227—1
22989.76.2.228/3289.76.2.228 to 89.76.2.228—1
23089.76.2.229/3289.76.2.229 to 89.76.2.229—1
23189.76.2.230/3289.76.2.230 to 89.76.2.230—1
23289.76.2.231/3289.76.2.231 to 89.76.2.231—1
23389.76.2.232/3289.76.2.232 to 89.76.2.232—1
23489.76.2.233/3289.76.2.233 to 89.76.2.233—1
23589.76.2.234/3289.76.2.234 to 89.76.2.234—1
23689.76.2.235/3289.76.2.235 to 89.76.2.235—1
23789.76.2.236/3289.76.2.236 to 89.76.2.236—1
23889.76.2.237/3289.76.2.237 to 89.76.2.237—1
23989.76.2.238/3289.76.2.238 to 89.76.2.238—1
24089.76.2.239/3289.76.2.239 to 89.76.2.239—1
24189.76.2.240/3289.76.2.240 to 89.76.2.240—1
24289.76.2.241/3289.76.2.241 to 89.76.2.241—1
24389.76.2.242/3289.76.2.242 to 89.76.2.242—1
24489.76.2.243/3289.76.2.243 to 89.76.2.243—1
24589.76.2.244/3289.76.2.244 to 89.76.2.244—1
24689.76.2.245/3289.76.2.245 to 89.76.2.245—1
24789.76.2.246/3289.76.2.246 to 89.76.2.246—1
24889.76.2.247/3289.76.2.247 to 89.76.2.247—1
24989.76.2.248/3289.76.2.248 to 89.76.2.248—1
25089.76.2.249/3289.76.2.249 to 89.76.2.249—1
25189.76.2.250/3289.76.2.250 to 89.76.2.250—1
25289.76.2.251/3289.76.2.251 to 89.76.2.251—1
25389.76.2.252/3289.76.2.252 to 89.76.2.252—1
25489.76.2.253/3289.76.2.253 to 89.76.2.253—1
25589.76.2.254/3289.76.2.254 to 89.76.2.254—1
25689.76.2.255/3289.76.2.255 to 89.76.2.255—1

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses